org.jbpm.kie.services.impl.bpmn2

## Class ProcessGetInformationHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.ProcessHandler
    - - org.jbpm.kie.services.impl.bpmn2.ProcessGetInformationHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class ProcessGetInformationHandler
      extends ProcessHandler

  This handler sets up a process (setting up the `ProcessDescRepoHelper` instance, and the `ProcessAssetDesc` instance) so that information can be collected when processing the process.

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.ProcessHandler

      `ASSOCIATIONS, CONNECTIONS, ERRORS, ESCALATIONS, LINKS`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessGetInformationHandler()`
    `ProcessGetInformationHandler(BPMN2DataServiceSemanticModule module)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `void` | `setRepository(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repository)`
    `Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.ProcessHandler

      `addCompensationScope, generateNodeFor, handleIntermediateOrEndThrowCompensationEvent, linkAssociations, linkBoundaryEvents, linkConnections, linkIntermediateLinks`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### ProcessGetInformationHandler

          public ProcessGetInformationHandler()

    - #### ProcessGetInformationHandler

          public ProcessGetInformationHandler(BPMN2DataServiceSemanticModule module)

  - ### Method Detail

    - #### start

          public Object start(String uri,
                     String localName,
                     Attributes attrs,
                     org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

      Specified by:
        `start` in interface `org.drools.core.xml.Handler`
      Overrides:
        `start` in class `ProcessHandler`
      Throws:
        `SAXException`

    - #### setRepository

          public void setRepository(org.jbpm.kie.services.impl.bpmn2.ProcessDescriptionRepository repository)

    - #### end

          public Object end(String uri,
                   String localName,
                   org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `ProcessHandler`
      Throws:
        `SAXException`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.